==========
AbsDataset
==========

AbsRerankerTrainDataset
=======================

.. autoclass:: FlagEmbedding.abc.finetune.reranker.AbsRerankerTrainDataset

Methods
-------

.. automethod:: FlagEmbedding.abc.finetune.reranker.AbsRerankerTrainDataset.create_one_example

.. automethod:: FlagEmbedding.abc.finetune.reranker.AbsRerankerTrainDataset._load_dataset

.. automethod:: FlagEmbedding.abc.finetune.reranker.AbsRerankerTrainDataset._shuffle_text

AbsRerankerCollator
===================

.. autoclass:: FlagEmbedding.abc.finetune.reranker.AbsRerankerCollator

AbsLLMRerankerTrainDataset
==========================

.. autoclass:: FlagEmbedding.abc.finetune.reranker.AbsLLMRerankerTrainDataset

AbsLLMRerankerCollator
======================

.. autoclass:: FlagEmbedding.abc.finetune.reranker.AbsLLMRerankerCollator
